<?php
class Xpn_model extends CI_Model{
	public function __construct(){
		parent::__construct();
	}

	public function listar($desde,$hasta,$xco=0,$xpl=0){
		$where 	= ($xco>0)?" AND programacion.con_id = $xco":"";
		$where .= ($xpl>0)?" AND programacion.pers_id = $xpl":"";
		$query 	= "	SELECT
						programacion.prog_id,
						programacion.prog_fecha,
						programacion.prog_cupos,
						programacion.prog_cuposc,
						programacion.prog_estado,
						programacion.prog_fecha_reg,
						programacion.prog_hora_reg,
						programacion.prog_usuario_reg,
						programacion.prog_fecha_edit,
						programacion.prog_hora_edit,
						programacion.prog_usuario_edit,
						programacion.prog_fecha_elim,
						programacion.prog_hora_elim,
						programacion.prog_usuario_elim,
						programacion.con_id,
						programacion.pers_id,
						consultorio.con_descripcion,
						personal.pers_apenombres
					FROM
						programacion
					INNER JOIN consultorio ON programacion.con_id = consultorio.con_id
					INNER JOIN personal ON programacion.pers_id = personal.pers_id
					WHERE programacion.prog_estado = 0 AND programacion.prog_fecha BETWEEN '$desde' AND '$hasta' {$where}
					ORDER BY programacion.prog_fecha ASC";
		return 	$this->db->query($query);
	}

	public function ver($fecha, $xco, $xpl){
		$query 	= "	SELECT
						programacion.prog_id,
						programacion.prog_fecha,
						programacion.prog_cupos,
						programacion.prog_cuposc,
						programacion.prog_estado,
						programacion.prog_fecha_reg,
						programacion.prog_hora_reg,
						programacion.prog_usuario_reg,
						programacion.prog_fecha_edit,
						programacion.prog_hora_edit,
						programacion.prog_usuario_edit,
						programacion.prog_fecha_elim,
						programacion.prog_hora_elim,
						programacion.prog_usuario_elim,
						programacion.con_id,
						programacion.pers_id,
						consultorio.con_descripcion,
						personal.pers_apenombres
					FROM
						programacion
					INNER JOIN consultorio ON programacion.con_id = consultorio.con_id
					INNER JOIN personal ON programacion.pers_id = personal.pers_id
					WHERE programacion.prog_estado = 0 AND programacion.prog_fecha = '$fecha' AND programacion.con_id = $xco AND programacion.pers_id = $xpl";
		$query 	= $this->db->query($query);
		return 	$query->row();
	}

	public function insertar($data){
		$this->db->insert('programacion', $data);
	}

	public function editar($id, $data){
		$this->db->where('prog_id', $id);
		$this->db->update('programacion', $data);
	}

	public function editar_cuposc($id, $op){
		$query 	= "UPDATE programacion SET prog_cuposc = prog_cuposc $op 1 WHERE prog_id = $id";
		$this->db->query($query);
	}
}